Skip to main content
POST
/
v6
/
files
/
upload
Upload file
curl --request POST \
  --url https://sandbox.tight.com/v6/files/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'data={
  "description": "Q1 2024 invoice",
  "date": "2024-01-15",
  "entityId": "btxn_28868401",
  "notes": "Received from vendor on 2024-01-15",
  "amount": 15000,
  "customData": {
    "internal_key": "some_internal_key",
    "some_other_field": 23434
  }
}'
{
  "result": "SUCCESS",
  "data": {
    "id": "fil_28868401",
    "entity": {
      "id": "btxn_28868401"
    },
    "description": "Q1 2024 invoice",
    "notes": "Received from vendor on 2024-01-15",
    "url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
    "date": "2024-01-15",
    "amount": 15000,
    "status": "ACTIVE",
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

multipart/form-data
file
file
required
data
object
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.